Bug 72270 - Medium sized thumbnail of CR2 files not properly decoded
Summary: Medium sized thumbnail of CR2 files not properly decoded
Status: RESOLVED FIXED
Alias: None
Product: libopenraw
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Hubert Figuiere
QA Contact:
URL:
Whiteboard: [release:0.1.0]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-03 14:23 UTC by Peter Sonntag
Modified: 2016-11-27 05:43 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Incorrect displayed thumbnail. (58.94 KB, image/png)
2013-12-03 14:23 UTC, Peter Sonntag
Details
Not correctly displayed thumbnails. (58.94 KB, image/png)
2013-12-03 14:33 UTC, Peter Sonntag
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Sonntag 2013-12-03 14:23:40 UTC
Created attachment 90164 [details]
Incorrect displayed thumbnail.

Thumbnails of raw CR2 pictures in default size are not displayed correctly in Nautilius
After zooming in 3x times, the thumbnail is being displayed correctly.

Link of an example picture which does not work:
https://www.dropbox.com/s/ey4bab4s2uxxv49/IMG_9027.CR2

Link of the bug filed in gthumb:
https://bugzilla.gnome.org/show_bug.cgi?id=719755
Comment 1 Peter Sonntag 2013-12-03 14:33:04 UTC
Created attachment 90165 [details]
Not correctly displayed thumbnails.
Comment 2 Hubert Figuiere 2013-12-03 19:07:47 UTC
it looks like the 500px wide preview in 8RGB is not properly decoded.

It doesn't seem to be isolated to the PowerShot S100. :-(
Comment 3 Hubert Figuiere 2014-03-09 06:11:58 UTC
I think the simple solution will be to just blacklist these 8RGB previews.
Comment 4 Peter Sonntag 2014-03-09 07:15:41 UTC
I would not call it a solution, but temporarily workaround ;-)
Comment 5 Hubert Figuiere 2014-03-09 18:00:18 UTC
no. it would be a solution. The bigger thumbnail is JPEG and perfectly fine.
Comment 6 Hubert Figuiere 2014-03-10 03:35:27 UTC
Just to add: the RGB8 thumbnail isn't even accurate as it. Colors are off (possibly just in the wrong colorspace) and when the file is shot as "B&W" it doesn't give a B&W preview unlike the JPEG.

I actually never paid attention this, but for consistency it is better to not expose it.
Comment 7 Hubert Figuiere 2014-03-22 00:10:31 UTC
Fixed in 871c5724c3c3dc868719c287f440e355ac623850 (master)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.